; ##############################################################################
; ##############################################################################
; ##############################################################################
LED:
	LDS temp,(adr_DIGIT_NR)	; laden									
	cpi temp,0
	breq LED0		; vergleich								
	cpi temp,1
	breq LED1
	cpi temp,2
	breq LED2
	cpi temp,3
	breq LED3
	cpi temp,4
	breq LED4
	cpi temp,5
	breq LED5
	cpi temp,6
	breq LED6
	rjmp LED7
;-------------------------------------------------------------------------------
LED0:
	inc temp				; +1									
	STS(adr_DIGIT_NR),temp	; sichern								
	LDS temp,(adr_DIGIT0)
	rcall BALKEN_TEMP
	rcall DIGIT_0			; Digit ausgeben						
	rjmp LED_FERTIG
;-------------------------------------------------------------------------------
LED1:
	inc temp				; +1									
	STS(adr_DIGIT_NR),temp	; sichern								
	LDS temp,(adr_DIGIT1)	; laden									
	rcall BALKEN_TEMP		; Baken darstellen						
	rcall DIGIT_1			; Digit	darstellen						
	rjmp LED_FERTIG
;-------------------------------------------------------------------------------
LED2:
	inc temp				; +1									
	STS(adr_DIGIT_NR),temp	; sichern								
	LDS temp,(adr_DIGIT2)
	rcall BALKEN_TEMP
	rcall DIGIT_2
	rjmp LED_FERTIG
;-------------------------------------------------------------------------------
LED3:
	inc temp				; +1									
	STS(adr_DIGIT_NR),temp	; sichern								
	LDS temp,(adr_DIGIT3)
	rcall BALKEN_TEMP
	rcall DIGIT_3
	rjmp LED_FERTIG
;-------------------------------------------------------------------------------
LED4:
	inc temp				; +1									
	STS(adr_DIGIT_NR),temp	; sichern								
	LDS temp,(adr_DIGIT4)
	rcall BALKEN_TEMP
	rcall DIGIT_4
	rjmp LED_FERTIG
;-------------------------------------------------------------------------------
LED5:
	inc temp				; +1									
	STS(adr_DIGIT_NR),temp	; sichern								
	LDS temp,(adr_DIGIT5)
	rcall BALKEN_TEMP
	rcall DIGIT_5
	rjmp LED_FERTIG
;-------------------------------------------------------------------------------
LED6:
	inc temp				; +1									
	STS(adr_DIGIT_NR),temp	; sichern								
	LDS temp,(adr_DIGIT6)
	rcall BALKEN_TEMP
	rcall DIGIT_6
	rjmp LED_FERTIG
;-------------------------------------------------------------------------------
LED7:
	STS(adr_DIGIT_NR),NULL	; Null sichern							
	LDS temp,(adr_DIGIT7)
	rcall BALKEN_TEMP
	rcall DIGIT_7
;-------------------------------------------------------------------------------
LED_FERTIG:
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
BALKEN_TEMP:
;-------------------------------------------------------------------------------
; Punkt 			(L=on)														
	LED_DAT_L		
	sbrs temp,7				; Skip if Bit in Register is Set		
	LED_DAT_H
	LED_ENABLE
;-------------------------------------------------------------------------------
; g		 			(L=on)														
	LED_DAT_L		
	sbrs temp,6				; Skip if Bit in Register is Set		
	LED_DAT_H
	LED_ENABLE
;-------------------------------------------------------------------------------
; f		 			(L=on)														
	LED_DAT_L		
	sbrs temp,5				; Skip if Bit in Register is Set		
	LED_DAT_H
	LED_ENABLE
;-------------------------------------------------------------------------------
; e		 			(L=on)														
	LED_DAT_L		
	sbrs temp,4				; Skip if Bit in Register is Set		
	LED_DAT_H
	LED_ENABLE
;-------------------------------------------------------------------------------
; d		 			(L=on)														
	LED_DAT_L		
	sbrs temp,3				; Skip if Bit in Register is Set		
	LED_DAT_H
	LED_ENABLE
;-------------------------------------------------------------------------------
; c		 			(L=on)														
	LED_DAT_L		
	sbrs temp,2				; Skip if Bit in Register is Set		
	LED_DAT_H
	LED_ENABLE
;-------------------------------------------------------------------------------
; b		 			(L=on)														
	LED_DAT_L		
	sbrs temp,1				; Skip if Bit in Register is Set		
	LED_DAT_H
	LED_ENABLE
;-------------------------------------------------------------------------------
; a		 			(L=on)														
	LED_DAT_L		
	sbrs temp,0				; Skip if Bit in Register is Set		
	LED_DAT_H
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; unten rechts																	
DIGIT_0:
	LED_DAT_H		;*0 unten rechts	(H=on)
	LED_ENABLE
	LED_DAT_L		; 1					(H=on)
	LED_ENABLE
	LED_DAT_L		; 2					(H=on)
	LED_ENABLE
	LED_DAT_L		; 3 unten links		(H=on)
	LED_ENABLE
	LED_DAT_L		; 4 oben rechts		(H=on)
	LED_ENABLE
	LED_DAT_L		; 5					(H=on)
	LED_ENABLE
	LED_DAT_L		; 6					(H=on)
	LED_ENABLE
	LED_DAT_L		; 7 oben links		(H=on)
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DIGIT_1:
	LED_DAT_L		; 0 unten rechts	(H=on)
	LED_ENABLE
	LED_DAT_H		;*1					(H=on)
	LED_ENABLE
	LED_DAT_L		; 2					(H=on)
	LED_ENABLE
	LED_DAT_L		; 3 unten links		(H=on)
	LED_ENABLE
	LED_DAT_L		; 4 oben rechts		(H=on)
	LED_ENABLE
	LED_DAT_L		; 5					(H=on)
	LED_ENABLE
	LED_DAT_L		; 6					(H=on)
	LED_ENABLE
	LED_DAT_L		; 7 oben links		(H=on)
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DIGIT_2:
	LED_DAT_L		; 0 unten rechts	(H=on)
	LED_ENABLE
	LED_DAT_L		; 1					(H=on)
	LED_ENABLE
	LED_DAT_H		;*2					(H=on)
	LED_ENABLE
	LED_DAT_L		; 3 unten links		(H=on)
	LED_ENABLE
	LED_DAT_L		; 4 oben rechts		(H=on)
	LED_ENABLE
	LED_DAT_L		; 5					(H=on)
	LED_ENABLE
	LED_DAT_L		; 6					(H=on)
	LED_ENABLE
	LED_DAT_L		; 7 oben links		(H=on)
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DIGIT_3:
	LED_DAT_L		; 0 unten rechts	(H=on)
	LED_ENABLE
	LED_DAT_L		; 1					(H=on)
	LED_ENABLE
	LED_DAT_L		; 2					(H=on)
	LED_ENABLE
	LED_DAT_H		;*3 unten links		(H=on)
	LED_ENABLE
	LED_DAT_L		; 4 oben rechts		(H=on)
	LED_ENABLE
	LED_DAT_L		; 5					(H=on)
	LED_ENABLE
	LED_DAT_L		; 6					(H=on)
	LED_ENABLE
	LED_DAT_L		; 7 oben links		(H=on)
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DIGIT_4:
	LED_DAT_L		; 0 unten rechts	(H=on)
	LED_ENABLE
	LED_DAT_L		; 1					(H=on)
	LED_ENABLE
	LED_DAT_L		; 2					(H=on)
	LED_ENABLE
	LED_DAT_L		; 3 unten links		(H=on)
	LED_ENABLE
	LED_DAT_H		;*4 oben rechts		(H=on)
	LED_ENABLE
	LED_DAT_L		; 5					(H=on)
	LED_ENABLE
	LED_DAT_L		; 6					(H=on)
	LED_ENABLE
	LED_DAT_L		; 7 oben links		(H=on)
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DIGIT_5:
	LED_DAT_L		; 0 unten rechts	(H=on)
	LED_ENABLE
	LED_DAT_L		; 1					(H=on)
	LED_ENABLE
	LED_DAT_L		; 2					(H=on)
	LED_ENABLE
	LED_DAT_L		; 3 unten links		(H=on)
	LED_ENABLE
	LED_DAT_L		; 4 oben rechts		(H=on)
	LED_ENABLE
	LED_DAT_H		;*5					(H=on)
	LED_ENABLE
	LED_DAT_L		; 6					(H=on)
	LED_ENABLE
	LED_DAT_L		; 7 oben links		(H=on)
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DIGIT_6:
	LED_DAT_L		; 0 unten rechts	(H=on)
	LED_ENABLE
	LED_DAT_L		; 1					(H=on)
	LED_ENABLE
	LED_DAT_L		; 2					(H=on)
	LED_ENABLE
	LED_DAT_L		; 3 unten links		(H=on)
	LED_ENABLE
	LED_DAT_L		; 4 oben rechts		(H=on)
	LED_ENABLE
	LED_DAT_L		; 5					(H=on)
	LED_ENABLE
	LED_DAT_H		;*6					(H=on)
	LED_ENABLE
	LED_DAT_L		; 7 oben links		(H=on)
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DIGIT_7:
	LED_DAT_L		; 0 unten rechts	(H=on)
	LED_ENABLE
	LED_DAT_L		; 1					(H=on)
	LED_ENABLE
	LED_DAT_L		; 2					(H=on)
	LED_ENABLE
	LED_DAT_L		; 3 unten links		(H=on)
	LED_ENABLE
	LED_DAT_L		; 4 oben rechts		(H=on)
	LED_ENABLE
	LED_DAT_L		; 5					(H=on)
	LED_ENABLE
	LED_DAT_L		; 6					(H=on)
	LED_ENABLE
	LED_DAT_H		; 7 oben links		(H=on)
	LED_ENABLE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

